# Changelog

## 2024-10-28 - 1.4.1 - fix(readme)
Correct async call to getModuleSubDirs in readme generation.

- Fixed an issue with asynchronous handling in readme generation for submodules.
- Ensured that getModuleSubDirs function is called with await to handle promises properly.

## 2024-10-28 - 1.4.0 - feat(aidocs)
Added support for building readmes for sub-modules in aidocs

- Updated the `Readme` class to handle monorepo projects by generating readmes for sub-modules.
- Integrated `tspublish` to identify sub-modules for readme generation.

## 2024-06-24 - 1.3.12 - fix(aidocs)
Fix changelog generation by handling leading newlines

- Fixed handling of leading newlines in the changelog to ensure proper formatting.

## 2024-06-23 - 1.3.11 - fix(core)
Fixed new changelog formatting issue to retain consistent spacing.

- Adjusted the new changelog generation to ensure consistent spacing for improved readability.

## 2024-06-23 - 1.3.10 - fix(aidocs_classes)
Fix changelog format to remove extra newline

- Updated `ts/aidocs_classes/commit.ts` to fix the changelog format.

## 2024-06-23 - 1.3.9 - fix(aidoc)
Fix changelog generation by properly stripping markdown code fences

- Corrected the changelog generation code to ensure markdown code fences are properly stripped.


## 2024-06-23 - 1.3.8 - fix(changelog)
Fix changelog generation by properly stripping markdown code fences

- Corrected the changelog generation code to ensure markdown code fences are properly stripped.

## 2024-06-23 - 1.3.7 - fix(aidoc)
Update to include package-lock.json in uncommitted changes check

- Modified the getUncommittedDiff method call in commit.ts to include package-lock.json along with pnpm-lock.yaml


## 2024-06-23 - 1.3.6 - fix(commit)
Fixed issue with retrieving uncommitted diffs in git repository

- Revised logic to correctly handle uncommitted changes by using an array for `getUncommittedDiff` method
- Ensured proper handling and representation of uncommitted changes in the output


## 2024-06-23 - 1.3.5 - fix(aidocs_classes)
Refactor and enhance changelog formatting

- Updated the `commit.ts` file to improve the changelog formatting and ensure consistency.
- Enhanced the changelog instructions to include summarizing messages for omitted commits.
- Removed unnecessary console logging in `projectcontext.ts`.


```markdown
## 2024-06-23 - 1.3.3 - fix(aidocs_classes)
Fix changelog formatting issue in commit class

## 2024-06-23 - 1.3.2 - fix(aidocs_classes)
Fix minor bugs and update dependencies in aidocs_classes

## 2024-06-23 - 1.3.1 - fix(aidocs_classes)
Fix typo in INextCommitObject interface and update date format in changelog generation.

## 2024-06-23 - 1.3.0 - fix(aidocs_classes)
Fix typo in INextCommitObject interface

## 2024-06-23 - 1.2.4 - feat(core)
Added smarttime dependency and improved changelog generation

## 2024-06-23 - 1.2.3 - fix(logging)
Refactor logger initialization to use commitinfo data

## 2024-06-23 - 1.2.2 - fix(aidocs)
Fix bug in AiDoc class causing undefined token handling

## 2024-06-23 - 1.2.0 - fix(core)
Fixed usage of plugins in project context and readme generation

## 2024-06-23 - 1.1.42 - feat(aidocs_classes)
Enhance changelog generation by supporting complete generation in the absence of previous changelog files

## 2024-06-23 - 1.1.41 - fix(aidocs_classes)
Improve commit message generation by handling empty diffs and updating changelog instructions
```
